# EntityView

#### new Cesium.EntityView(entity, scene, ellipsoid)
DataSources/EntityView.js 190

A utility object for tracking an entity with the camera.

Name | Type | Default | Description
--- | --- | --- | ---
`entity` | Entity |  | The entity to track with the camera.
`scene` | Scene |  | The scene to use.
`ellipsoid` | Ellipsoid | `Ellipsoid.WGS84` | optional The ellipsoid to use for orienting the camera.

### Members

#### static Cesium.EntityView.defaultOffset3D : Cartesian3
DataSources/EntityView.js 238

Gets or sets a camera offset that will be used to initialize subsequent EntityViews.

#### boundingSphere : BoundingSphere
DataSources/EntityView.js 218

The bounding sphere of the object.

#### ellipsoid : Ellipsoid
DataSources/EntityView.js 212

The ellipsoid to use for orienting the camera.

#### entity : Entity
DataSources/EntityView.js 200

The entity to track with the camera.

#### scene : Scene
DataSources/EntityView.js 206

The scene in which to track the object.

### Methods

#### update(time, boundingSphere)
DataSources/EntityView.js 260

Should be called each animation frame to update the camera to the latest settings.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The current animation time.
`boundingSphere` | BoundingSphere | optional bounding sphere of the object.